Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.syscat
Class SysCatAMChildImpl

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.server.NamedObjectImpl
oracle.jbo.server.ComponentObjectImpl
oracle.jbo.server.ViewObjectImpl
oracle.jbo.syscat.SysCatVOBase
oracle.jbo.syscat.SysCatAMChildImpl`

All Implemented Interfaces:
  ComponentObject, EntityListener, java.util.EventListener, NavigatableRowIterator, Properties, RowIterator, RowMatchBindValueSupplier, RowSet, RowSetIterator, StructureDef, TransactionListener, TransactionPostListener, VariableManagerOwner, ViewCriteriaManager, ViewObject, ViewObjectDynAttr, WSRowSetIteratorMarshaller, WSRowSetMarshaller, XMLInterface

Direct Known Subclasses:
  SysCatViewLinkImpl, SysCatViewObjectImpl

public abstract class SysCatAMChildImpl
extends SysCatVOBase

Nested Class Summary
`protected class` | `SysCatAMChildImpl.CurrencyInfo`

Field Summary
`static java.lang.String` | `mAttrForPartition`

Fields inherited from class oracle.jbo.syscat.SysCatVOBase
`mPartitionAttrDef, mPartitionValueNode`

Fields inherited from class oracle.jbo.server.ViewObjectImpl
`DATA_ROWKEYTAG, FETCH_ALL, FETCH_AS_NEEDED, FETCH_DEFAULT, FULLSQL_MODE_AUGMENTATION, FULLSQL_MODE_NO_AUGMENTATION, mAssocClause, mAssocFromClause, mAssocRefs, mAttrDefs, mAttrDefsForExtendedVOs, mAttrDefsTab, mAutoPostChanges, mChangedAttrIndices, mChgAttrIndUseCount, mDefaultMaxActiveNodes, mDefaultMaxRowsPerNode, MIN_ACTIVE_NODES, MIN_ROWS_PER_NODE, mKeyAttrRefs, mOptimizerHint, mOrderBy, mUsePersColl, mUserDefinedQuery, mViewDef, mViewRowSet, mWhere, NEW_ROW_HANDLE, NEW_ROW_INDEX, NEW_ROW_TRACKER, QC_TAG, TRANSIENT_DATA_ROWTAG, XML_ELEM_PASSIVATE_TRANSIENT`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Fields inherited from interface oracle.jbo.ViewObject
`QUERY_MODE_SCAN_DATABASE_TABLES, QUERY_MODE_SCAN_ENTITY_ROWS, QUERY_MODE_SCAN_VIEW_ROWS, QUERY_TIMEOUT_WAIT_FOREVER`

Fields inherited from interface oracle.jbo.RowSet
`FORWARD_ONLY, RANGE_PAGING, RANGE_PAGING_AUTO_POST, SCROLLABLE`

Fields inherited from interface oracle.jbo.RowIterator
`ITER_MODE_LAST_PAGE_FULL, ITER_MODE_LAST_PAGE_PARTIAL, SLOT_BEFORE_FIRST, SLOT_BEYOND_LAST, SLOT_DELETED, SLOT_VALID`

Fields inherited from interface oracle.jbo.XMLInterface
`XML_IGNORE_DEPTH_COUNT, XML_OPT_ALL_ROWS, XML_OPT_ASSOC_CONSISTENT, XML_OPT_CHANGES_ONLY, XML_OPT_LIMIT_RANGE`

Constructor Summary
`SysCatAMChildImpl()`

Method Summary
`protected abstract java.lang.Object[]` | `buildList(ApplicationModuleImpl am)`
`protected void` | `executeQueryForCollection(java.lang.Object qc, java.lang.Object[] params, int noUserParams)` This method is invoked right before the row set executes the query.
`protected java.lang.Object` | `getNextFromList(java.lang.Object qc)`
`protected boolean` | `hasNextForCollection(java.lang.Object qc)`

Methods inherited from class oracle.jbo.syscat.SysCatVOBase
`addViewCriteriaToWhereClause, findFirstViewObject, findNextApplicationModule, findNextViewObject, processWhereClause`

Methods inherited from class oracle.jbo.server.ViewObjectImpl
`activateCurrentRow, activateIteratorState, activateNewRowTracker, activateNewRowTracker, activateState, activateState, activateState, activateTransientAttribute, activateTransients, activateTransients, addDynamicAttribute, addListener, addManagementListener, addOrderByClause, addQueryMode, addRowSet, addViewLink, addWhereClause, afterCommit, afterEntityRemove, afterRemove, afterRollback, appendXMLElementNodes, appendXMLElementNodes, applyViewCriteria, beforeCommit, beforeEntityRemove, beforeRollback, bindParametersForCollection, bindRangePagingParams, buildFromClause, buildKey, buildNewCollection, buildOrderByClause, buildQualifyingRowFilters, buildQuery, buildRangePagingQuery, buildRowFilter, buildViewCriteriaClauses, buildWhereClause, cancelQuery, checkPassivateViewAttributes, clearCache, clearViewCriterias, closeFreedStatements, closeRowSet, closeRowSetIterator, createAndInitRow, createDetailRowSet, createFinderVO, createInstance, createInstanceFromResultSet, createKey, createNewRowForCollection, createRow, createRowFromResultSet, createRowSet, createRowSetIterator, createViewCriteria, createViewLinkAccessorRS, createViewLinkAccessorVO, createViewLinkScanBaseRS, createXMLDefinition, criteriaChanged, defineNamedWhereClauseParam, doesRowFilterMatch, dumpQCs, enumerateRowsInRange, executeDetailQuery, executeEmptyRowSet, executeQuery, findAndSetCurrentRowByKey, findAttributeDef, findByEntity, findByKey, findByKey, findByViewCriteria, findInCacheByKey, findRowInQCs, findRowSet, findRowSetIterator, findViewLinkAccessor, findViewLinkAccessorVO, first, getAccessMode, getAllCachedQueryCollections, getAllRowsInRange, getAllViewCriteriaNames, getAllViewCriterias, getApplicationModule, getApplyViewCriteriaNames, getApplyViewCriterias, getAssociationClause, getAttrDefsForEntityAttr, getAttributeCount, getAttributeDef, getAttributeDefs, getAttributeIndexOf, getAttrIndicesForEntityAttr, getBindingStyle, getByKeyFinderRS, getCachedQueryCollection, getCalculatedAttributeCount, getCliIteratorState, getCurrentRow, getCurrentRowIndex, getCurrentRowSlot, getDBTransaction, getDefaultRowSet, getDefFullName, getDefName, getDeleteParticipants, getDetailEstimatedRowCount, getDetailRowSets, getDiscrColLoadIndices, getDynamicAttributeCount, getDynamicAttributeOffset, getEntityDef, getEntityDefCount, getEntityDefs, getEstimatedRangePageCount, getEstimatedRowCount, getFetchedRowCount, getFetchMode, getFetchSize, getFilteredRows, getFilteredRows, getFilteredRowsInRange, getFilteredRowsInRange, getFullSqlMode, getImplObject, getInsertParticipants, getIterMode, getKeyAttributeDefs, getLockParticipants, getMasterRowSetIterators, getMaxFetchSize, getNextRangeSet, getOrderByClause, getParametersAsStorageTypes, getPreparedStatement, getPreviousRangeSet, getPrimaryKeys, getPropertiesMap, getProperty, getProxyClassName, getProxyInterfaceName, getQualifyingRowFilters, getQuery, getQueryCollection, getQueryHitCount, getQueryHitCount, getQueryMode, getQueryOptimizerHint, getQueryTimeOut, getRangeIndexOf, getRangeSize, getRangeStart, getRow, getRowAtRangeIndex, getRowClass, getRowComparator, getRowCount, getRowCountInRange, getRowFilters, getRowFilterValues, getRowFromHandle, getRowMatch, getRowMatchBindValue, getRowMatchFromViewCriteria, getRowProxyClassName, getRowQualifier, getRowSet, getRowSetImpl, getRowSetIterator, getRowSetIterators, getRowSets, getScanRowFilterAttributeDefs, getSignature, getSortBy, getSortCriteria, getSyncLock, getTransPostHandle, getUserDataForCollection, getUserDefinedQuery, getViewAttributeDefImpls, getViewCriteria, getViewCriteria, getViewCriteriaClause, getViewCriteriaClause, getViewDef, getViewLinkDestinationAttributes, getViewLinkNames, getViewLinks, getViewObject, getWhereClause, getWhereClauseParams, getXMLElementTag, getXMLRowElementTag, handleActivatedRowNotFound, hasDefaultRowSet, hasNext, hasPrevious, initFromDef, insertRow, insertRowAtRangeIndex, isAssociationConsistent, isAutoPostChanges, isCollectionPresent, isDynamicAttribute, isDynamicAttribute, isExecuted, isFetchComplete, isForeignKey, isForScan, isForwardOnly, isInternal, isManageRowsByKey, isMaxFetchSizeExceeded, isNameGenerated, isPassivatableTransientAttribute, isPassivationEnabled, isPostedToDB, isQueryChanged, isRangeAtBottom, isRangeAtTop, isReadOnly, isRowValidation, isTransientTransactionListener, isTransientTransactionPostListener, isViewLinkAccessorRetained, last, lookupAttributeDef, markQueryCollectionDirty, next, notifyRowDeleted, notifyRowInserted, notifyRowUpdated, passivateNewRowTracker, passivateState, passivateState, passivateState, passivateTransients, passivateTransients, populateAttributeForRow, postChanges, prepareForActivation, prepareForBatchMode, prepareForPassivation, previous, printXMLDefinition, processSortCriteria, putViewCriteria, readFromXml, readRowXML, readRowXML, readXML, readXML, refreshCollection, refreshWhereClauseParams, releaseUserDataForCollection, remove, removeApplyViewCriteriaName, removeCurrentRow, removeCurrentRowAndRetain, removeCurrentRowFromCollection, removeListener, removeManagementListener, removeMasterRowSetIterator, removeNamedWhereClauseParam, removeRowHandle, removeRowSet, removeViewCriteria, reset, resetSession, retrieveByKey, retrieveByKey, rowQualifies, scrollRange, scrollRangeTo, scrollToRangePage, setAccessMode, setApplyViewCriteriaName, setApplyViewCriteriaNames, setAssociationConsistent, setAutoPostChanges, setBindingStyle, setCurrentRow, setCurrentRowAtRangeIndex, setFetchCompleteForCollection, setFetchMode, setFetchSize, setForwardOnly, setFullSqlMode, setIterMode, setKeyAttributeDefs, setListenToEntityEvents, setManageRowsByKey, setMasterRowSetIterator, setMaxFetchSize, setNamedWhereClauseParam, setNestedSelectForFullSql, setOrderByClause, setPassivatableTransientAttribute, setPassivationEnabled, setPostedToDB, setProxyClassName, setQuery, setQueryAsChanged, setQueryChanged, setQueryMode, setQueryOptimizerHint, setQueryTimeOut, setRangeSize, setRangeStart, setResultSetForCollection, setRowFilterValues, setRowMatch, setRowMatchFromViewCriteria, setRowQualifier, setRowValidation, setSortBy, setTransPostHandle, setUserDataForCollection, setViewCriteriaAdapter, setViewLinkAccessorRetained, setWhereClause, setWhereClauseParam, setWhereClauseParams, showCursorUsage, skipNamedWhereClauseParam, sortRows, sourceChanged, updateRowSetFromXML, validate, writeXML, writeXML, writeXML, writeXML`

Methods inherited from class oracle.jbo.server.ComponentObjectImpl
`addListener, create, createRef, ensureVariableManager, getCompListeners, getCompListenersList, getMessageBundleClass, getProxyClassName, getRootApplicationModule, getVariableManager, hasVariables, isDead, isRegWithPiggyMan, setName, setParent`

Methods inherited from class oracle.jbo.server.NamedObjectImpl
`setParent, setPropertiesMap`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, refreshProperty, setFullName, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.StructureDef
`getFullName, getName`

Methods inherited from interface oracle.jbo.RowSet
`getName`

Methods inherited from interface oracle.jbo.VariableManagerOwner
`ensureVariableManager, getMessageBundleClass, getVariableManager, hasVariables`

Methods inherited from interface oracle.jbo.Properties
`getProperties, refreshProperty`

Methods inherited from interface oracle.jbo.ComponentObject
`getFullName, getName`

Field Detail

### mAttrForPartition

    public static final java.lang.String mAttrForPartition

  See Also:
    Constant Field Values

Constructor Detail

### SysCatAMChildImpl

    public SysCatAMChildImpl()

Method Detail

### executeQueryForCollection

    protected void executeQueryForCollection(java.lang.Object qc,
                                             java.lang.Object[] params,
                                             int noUserParams)

  Description copied from class: `ViewObjectImpl`
  This method is invoked right before the row set executes the query. If this method is overridden, the custom logic will be applied to all row sets.

  In contrast, if the user overrides the view object's executeQuery(), the custom logic in it only applies only when the user calls executeQuery() on the view object. If he calls executeQuery() on secondary row sets, the custom logic in executeQuery() will not apply.

  Overrides:
    `executeQueryForCollection` in class `ViewObjectImpl`
  Parameters:
    `qc` - the query collection about to execute the query.
    `params` - the bind parameters that will be applied to the query.
    `noUserParams` - the number of user bind parameters supplied through the setWhereClauseParam calls.

### hasNextForCollection

    protected boolean hasNextForCollection(java.lang.Object qc)

  Overrides:
    `hasNextForCollection` in class `ViewObjectImpl`

### buildList

    protected abstract java.lang.Object[] buildList(ApplicationModuleImpl am)

### getNextFromList

    protected java.lang.Object getNextFromList(java.lang.Object qc)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.